## waterfox-classic-kpe 2021.09

=== debian/changelog ===
waterfox-classic-kpe (2021.09-0+72.1) obs; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Mon, 20 Sep 2021 20:16:20 +0000

waterfox-classic-kpe (2021.09-0) obs; urgency=medium

    * New RegExp engine in SpiderMonkey, adding support for Unicode escape sequences, lookbehind references, and named captures
    * Scrollbar preferences can be toggled in about:preferences now
    * Added security patches from latest ESR

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 20 Sep 2021 16:29:10 +0200

waterfox-classic-kpe (2021.08.1-0) obs; urgency=low

    * Fixed problems with restoring session cookies.
    * Fixed problem which disabled some extensions

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 31 Aug 2021 23:26:00 +0200

waterfox-classic-kpe (2021.08-0) obs; urgency=medium

    * Aligned document.open() with the overhauled specification
    * Fixed issues with PerformanceObserver
    * Fixed issues with -moz-appearance and -webkit-appearance
    * Implemented promise.allSettled()
    * Implemented the origin-clean algorithm for canvases
    * Added SVG image support for createImageBitmap
    * Implemented EventTarget as a constructor.
    * Updated the lz4 library
    * Updated the ICU library
    * Fixed various crashes
    * Blocked particularly old versions of Mesa/Nouveau drivers due to issues
    * Changed the default Firefox Compatibility version number to 68.0
    * Updated user-agent overrides
    * Addressed CVE-2018-5113
    * Added security patches from latest ESR

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 20 Aug 2021 13:06:00 +0200

waterfox-classic-kpe (2021.07-0) obs; urgency=medium

    * Redirects for requests that require preflight are now allowed
    * Implemented missing calculation support for stroke-dashoffset
    * Disabled the <menuitem> html tag by default. If you still need this, you can re-enable it with the preference dom.menuitem.enabled in about:config
    * Changed behavior for <img> without src
    * Updated ResizeObserver to match the current spec
    * Added improvements for Web Animations API
    * Improved tables support
    * Added user agent overrides for websites that didn't recognise Waterfox Classic
    * Fixed an issue with CSP .nonce attributes on elements
    * Fixed an issue with textarea placeholders
    * Fixed issues with -moz-appearance and -webkit-appearance
    * Fixed various crashes
    * Added security patches from latest ESR

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 14 Jul 2021 16:12:00 +0200

=== debian/control ===
Source: waterfox-classic-kpe
Section: web
Priority: optional
Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
Build-Depends: debhelper (>= 9), autoconf2.13, libgtk-3-dev (>= 3.4), libdbus-glib-1-dev, libpulse-dev, libasound2-dev, yasm (>= 1.1), libgtk2.0-dev (>= 2.10), libxt-dev, python2.7, python3, zip, unzip, cargo (>= 0.38), libgl1-mesa-dev, libnotify-dev, binutils-avr, libfreetype6-dev, libfontconfig1-dev, pkg-config, libtinfo-dev, clang (>= 6.0) | clang-6.0 | clang-7 | clang-8 | clang-10 | clang-11, llvm-dev (>= 6.0) | llvm-6.0-dev | llvm-7-dev | llvm-8-dev | llvm-10-dev | llvm-11-dev, rustc (>= 1.38), libxext-dev, libglib2.0-dev (>= 2.16.0), libpango1.0-dev, libstartup-notification0-dev, libcurl4-openssl-dev, libiw-dev, mesa-common-dev, libxrender-dev, dbus-x11, xvfb, libx11-dev, libx11-xcb-dev, libfile-fcntllock-perl, apt-utils, locales, autotools-dev, libjpeg-dev, zlib1g-dev, libreadline-dev, dpkg-dev (>= 1.16.1.1~), libevent-dev (>= 1.4.1), libjsoncpp-dev, xfonts-base, xauth, lsb-release, nasm (>= 2.13) | nasm-mozilla (>= 2.13), libclang-dev (>= 6.0) | libclang-6.0-dev | libclang-7-dev | libclang-8-dev | libclang-10-dev | libclang-11-dev
Standards-Version: 3.9.1
Homepage: https://www.waterfox.net/

Package: waterfox-classic-kpe
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fonts-lyx, pulseaudio, ffmpeg
Provides: www-browser, gnome-www-browser, waterfox-classic
Replaces: waterfox-kde (<< 2019.10-4), waterfox (<< 2019.10-4)
Breaks: waterfox-kde (<< 2019.10-4), waterfox (<< 2019.10-4)
Description: Customizable privacy-conscious web browser with primary support for legacy extensions and better integration with KDE
 Waterfox focuses on giving users choice. The browser is focused on power users, which lets you make the important decisions. There is no plugin whitelist (meaning you can run Java Applets and Silverlight apps), you can run whichever extensions you like (including bootstrapped add-ons that can completely change functionality of the browser) and absolutely no data or telemetry is sent back to Mozilla or the Waterfox project.
 .
 Waterfox is powered by Mozilla Firefox source code.
 .
 NOTE 1: This package contains integration improvements for KDE made by openSUSE, but works good also on other desktop environments and KDE Plasma integration features may not work if kwaterfoxhelper isn't installed. For better integration recommended is also installing plasma-browser-integration package together with Plasma Integration extension.
 .
 NOTE 2: Language packs are available as separate packages to install from apt repository!

Package: waterfox-classic-kde
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, waterfox-classic-kpe, kwaterfoxhelper
Suggests: plasma-browser-integration
Description: KDE Plasma integration for Waterfox Classic
 For better integration recommended is also installing plasma-browser-integration package together with Plasma Integration extension.

Package: waterfox-classic-i18n-ach
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-ach (<< ${source:Version})
Breaks: waterfox-locale-ach (<< ${source:Version})
Description: Acholi language pack for Waterfox Classic
 This package contains Acholi translations for Waterfox Classic.

Package: waterfox-classic-i18n-af
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-af (<< ${source:Version})
Breaks: waterfox-locale-af (<< ${source:Version})
Description: Afrikaans language pack for Waterfox Classic
 This package contains Afrikaans translations for Waterfox Classic.

Package: waterfox-classic-i18n-an
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-an (<< ${source:Version})
Breaks: waterfox-locale-an (<< ${source:Version})
Description: Aragonese language pack for Waterfox Classic
 This package contains Aragonese translations for Waterfox Classic.

Package: waterfox-classic-i18n-ar
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-ar (<< ${source:Version})
Breaks: waterfox-locale-ar (<< ${source:Version})
Description: Arabic language pack for Waterfox Classic
 This package contains Arabic translations for Waterfox Classic.

Package: waterfox-classic-i18n-as
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-as (<< ${source:Version})
Breaks: waterfox-locale-as (<< ${source:Version})
Description: Assamese language pack for Waterfox Classic
 This package contains Assamese translations for Waterfox Classic.

Package: waterfox-classic-i18n-ast
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-ast (<< ${source:Version})
Breaks: waterfox-locale-ast (<< ${source:Version})
Description: Asturian language pack for Waterfox Classic
 This package contains Asturian translations for Waterfox Classic.

Package: waterfox-classic-i18n-az
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-az (<< ${source:Version})
Breaks: waterfox-locale-az (<< ${source:Version})
Description: Azerbaijani language pack for Waterfox Classic
 This package contains Azerbaijani translations for Waterfox Classic.

Package: waterfox-classic-i18n-bg
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-bg (<< ${source:Version})
Breaks: waterfox-locale-bg (<< ${source:Version})
Description: Bulgarian language pack for Waterfox Classic
 This package contains Bulgarian translations for Waterfox Classic.

Package: waterfox-classic-i18n-bn-bd
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-bn-bd (<< ${source:Version})
Breaks: waterfox-locale-bn-bd (<< ${source:Version})
Description: Bengali (Bangladesh) language pack for Waterfox Classic
 This package contains Bengali (Bangladesh) translations for Waterfox Classic.

Package: waterfox-classic-i18n-bn-in
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-bn-in (<< ${source:Version})
Breaks: waterfox-locale-bn-in (<< ${source:Version})
Description: Bengali (India) language pack for Waterfox Classic
 This package contains Bengali (India) translations for Waterfox Classic.

Package: waterfox-classic-i18n-br
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-br (<< ${source:Version})
Breaks: waterfox-locale-br (<< ${source:Version})
Description: Breton language pack for Waterfox Classic
 This package contains Breton translations for Waterfox Classic.

Package: waterfox-classic-i18n-bs
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-bs (<< ${source:Version})
Breaks: waterfox-locale-bs (<< ${source:Version})
Description: Bosnian language pack for Waterfox Classic
 This package contains Bosnian translations for Waterfox Classic.

Package: waterfox-classic-i18n-ca
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-ca (<< ${source:Version})
Breaks: waterfox-locale-ca (<< ${source:Version})
Description: Catalan; Valencian language pack for Waterfox Classic
 This package contains Catalan; Valencian translations for Waterfox Classic.

Package: waterfox-classic-i18n-cak
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-cak (<< ${source:Version})
Breaks: waterfox-locale-cak (<< ${source:Version})
Description: Kaqchikel language pack for Waterfox Classic
 This package contains Kaqchikel translations for Waterfox Classic.

Package: waterfox-classic-i18n-cs
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-cs (<< ${source:Version})
Breaks: waterfox-locale-cs (<< ${source:Version})
Description: Czech language pack for Waterfox Classic
 This package contains Czech translations for Waterfox Classic.

Package: waterfox-classic-i18n-cy
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-cy (<< ${source:Version})
Breaks: waterfox-locale-cy (<< ${source:Version})
Description: Welsh language pack for Waterfox Classic
 This package contains Welsh translations for Waterfox Classic.

Package: waterfox-classic-i18n-da
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-da (<< ${source:Version})
Breaks: waterfox-locale-da (<< ${source:Version})
Description: Danish language pack for Waterfox Classic
 This package contains Danish translations for Waterfox Classic.

Package: waterfox-classic-i18n-de
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-de (<< ${source:Version})
Breaks: waterfox-locale-de (<< ${source:Version})
Description: German language pack for Waterfox Classic
 This package contains German translations for Waterfox Classic.

Package: waterfox-classic-i18n-dsb
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-dsb (<< ${source:Version})
Breaks: waterfox-locale-dsb (<< ${source:Version})
Description: Lower Sorbian language pack for Waterfox Classic
 This package contains Lower Sorbian translations for Waterfox Classic.

Package: waterfox-classic-i18n-el
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-el (<< ${source:Version})
Breaks: waterfox-locale-el (<< ${source:Version})
Description: Greek language pack for Waterfox Classic
 This package contains Greek translations for Waterfox Classic.

Package: waterfox-classic-i18n-en-gb
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-en-gb (<< ${source:Version})
Breaks: waterfox-locale-en-gb (<< ${source:Version})
Description: English (British) language pack for Waterfox Classic
 This package contains English (British) translations for Waterfox Classic.

Package: waterfox-classic-i18n-en-za
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-en-za (<< ${source:Version})
Breaks: waterfox-locale-en-za (<< ${source:Version})
Description: English (South African) language pack for Waterfox Classic
 This package contains English (South African) translations for Waterfox Classic.

Package: waterfox-classic-i18n-eo
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-eo (<< ${source:Version})
Breaks: waterfox-locale-eo (<< ${source:Version})
Description: Esperanto language pack for Waterfox Classic
 This package contains Esperanto translations for Waterfox Classic.

Package: waterfox-classic-i18n-es-ar
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-es-ar (<< ${source:Version})
Breaks: waterfox-locale-es-ar (<< ${source:Version})
Description: Spanish (Argentina) language pack for Waterfox Classic
 This package contains Spanish (Argentina) translations for Waterfox Classic.

Package: waterfox-classic-i18n-es-cl
Architecture: all
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-es-cl (<< ${source:Version})
Breaks: waterfox-locale-es-cl (<< ${source:Version})
Description: Spanish (Chile) language pack for Waterfox Classic
 This package contains Spanish (Chile) translations for Waterfox Classic.

Package: waterfox-classic-i18n-es-es
Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export SHELL=/bin/bash
export MOZ_SOURCE_CHANGESET=$(shell awk -F ': ' '/^commit:/ {print $$2; exit}' ../SOURCES/waterfox-classic-kpe.obsinfo)
export MOZ_SOURCE_STAMP=$(shell awk -F ': ' '/^commit:/ {print $$2; exit}' ../SOURCES/waterfox-classic-kpe.obsinfo)
export SOURCE_REPO=https://github.com/WaterfoxCo/Waterfox
export source_repo=https://github.com/WaterfoxCo/Waterfox
export MOZ_SOURCE_REPO=https://github.com/WaterfoxCo/Waterfox
export TODAY_DATE=$(shell date +%Y-%m-%d)

distrelease := $(shell lsb_release -sc)
ifeq ($(distrelease),$(filter $(distrelease),stretch xenial))
LDFLAGS += -static-libstdc++
endif

%:
	dh $@

override_dh_auto_clean:
	rm -f .mozconfig
	dh_auto_clean
	find . -name '*.pyc' -delete

override_dh_auto_configure:
	cp debian/mozconfig mozconfig

override_dh_auto_build:
	./mach build

override_dh_auto_install:
	chmod +x $$(pwd)/debian/waterfox-classic-bin.sh
	cp debian/kde.js obj-x86_64-pc-linux-gnu/dist/bin/defaults/pref
	DESTDIR=$$(pwd)/debian/waterfox-classic-kpe ./mach install
	mv $$(pwd)/debian/waterfox-classic-kpe/usr/lib/waterfox-classic/browser/features/ $$(pwd)
	rm -rf $$(pwd)/debian/waterfox-classic-kpe/usr/lib/waterfox-classic/waterfox-classic-bin
	rm -rf $$(pwd)/debian/waterfox-classic-kpe/usr/lib/waterfox-classic/dictionaries
	sed -i "s/__DATE__/$$TODAY_DATE/g" $$(pwd)/debian/waterfox-classic.appdata.xml.in
	sed -e "s/__VERSION__/$$(<browser/config/version_display.txt)/g" $$(pwd)/debian/waterfox-classic.appdata.xml.in > $$(pwd)/debian/waterfox-classic-kpe/usr/share/metainfo/waterfox-classic.appdata.xml

override_dh_shlibdeps:
	dh_shlibdeps -l /usr/lib/waterfox-classic/waterfox-classic

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xdebian/waterfox-classic-kpe/usr/lib/waterfox-classic/browser/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}.xpi

## waterfox-classic-kpe 2021.11

=== browser/components/translation/cld2/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.

PYTHON2 ?= python2

EMSCRIPTEN_ROOT := $(shell if which emcc >/dev/null 2>&1; \
                           then dirname `which emcc`; \
                           else echo /usr/lib/emscripten; \
                           fi)

EMCC ?= $(EMSCRIPTEN_ROOT)/emcc

WEBIDL ?= $(PYTHON2) $(EMSCRIPTEN_ROOT)/tools/webidl_binder.py

# A 2MB heap is to analyze most web pages. For the outliers, we need to either
# allow for heap growth, or allocate an unreasonable amount of memory at the
# outset.
# Unfortunately, once the heap has been enlarged, there is no shrinking, so
# analyzing one 20MB web page gives us a 30-40MB heap for the life of the
# worker.
FLAGS=-s -O3 -s INLINING_LIMIT=1 -s NO_FILESYSTEM=1 -s NO_EXIT_RUNTIME=1 -s INVOKE_RUN=0 \
      -s TOTAL_STACK=8192 -s TOTAL_MEMORY=2097152 -s ALLOW_MEMORY_GROWTH=1 \
      --llvm-lto 1 --memory-init-file 1 --closure 1

export EMCC_CLOSURE_ARGS = --language_in ECMASCRIPT6 --language_out ES5_STRICT

SOURCES= \
	internal/cldutil.cc \
	internal/cldutil_shared.cc \
	internal/compact_lang_det.cc \
	internal/compact_lang_det_hint_code.cc \
	internal/compact_lang_det_impl.cc \
	internal/debug_empty.cc \
	internal/fixunicodevalue.cc \
	internal/generated_entities.cc \
	internal/generated_language.cc \
	internal/generated_ulscript.cc \
	internal/getonescriptspan.cc \
	internal/lang_script.cc \
	internal/offsetmap.cc \
	internal/scoreonescriptspan.cc \
	internal/tote.cc \
	internal/utf8statetable.cc \
	internal/cld_generated_cjk_uni_prop_80.cc \
	internal/cld2_generated_cjk_compatible.cc \
	internal/cld_generated_cjk_delta_bi_4.cc \
	internal/generated_distinct_bi_0.cc \
	internal/cld2_generated_quadchrome0122_16.cc \
	internal/cld2_generated_deltaoctachrome0122.cc \
	internal/cld2_generated_distinctoctachrome0122.cc \
	internal/cld_generated_score_quad_octa_0122_2.cc \
	cldapp.cc \
	$(NULL)

OBJECTS=$(SOURCES:.cc=.o)

default: all

%.o: %.cc Makefile
	$(EMCC) -Os -I. -o $@ $<

cldapp.o: cld.cpp

%.cpp %.js: %.idl
	$(WEBIDL) $< $*

all: cld-worker.js

cld-worker.js: $(OBJECTS) post.js cld.js
	$(EMCC) $(FLAGS) -I. -o cld-worker.js $(OBJECTS) --post-js cld.js --post-js post.js

clean:
	rm -f $(OBJECTS) cld.cpp cld.js before.js

=== debian/changelog ===
waterfox-classic-kpe (2021.11-0+80.1) obs; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Mon, 06 Dec 2021 22:42:57 +0000

waterfox-classic-kpe (2021.11-0) obs; urgency=medium

   * Added security patches from latest ESR

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 25 Nov 2021 11:43:36 +0100

waterfox-classic-kpe (2021.10-0) obs; urgency=medium

    * Updated RegExp engine, with resulting perfomance improvement in JavaScript
    * Fixed crashes for users on newer Linux distributions
    * TLS 1.3 compatibility mode is now enabled by default

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 13 Oct 2021 11:01:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,9 @@
 export SHELL=/bin/bash
 export MOZ_SOURCE_CHANGESET=$(shell awk -F ': ' '/^commit:/ {print $$2; exit}' ../SOURCES/waterfox-classic-kpe.obsinfo)
 export MOZ_SOURCE_STAMP=$(shell awk -F ': ' '/^commit:/ {print $$2; exit}' ../SOURCES/waterfox-classic-kpe.obsinfo)
-export SOURCE_REPO=https://github.com/WaterfoxCo/Waterfox
-export source_repo=https://github.com/WaterfoxCo/Waterfox
-export MOZ_SOURCE_REPO=https://github.com/WaterfoxCo/Waterfox
+export SOURCE_REPO=https://github.com/WaterfoxCo/Waterfox-Classic
+export source_repo=https://github.com/WaterfoxCo/Waterfox-Classic
+export MOZ_SOURCE_REPO=https://github.com/WaterfoxCo/Waterfox-Classic
 export TODAY_DATE=$(shell date +%Y-%m-%d)
 
 distrelease := $(shell lsb_release -sc)
